org.eclipse.wst.jsdt.debug.core.jsdi.request

## Interface SuspendRequest

All Superinterfaces:
  EventRequest, Mirror

    public interface SuspendRequest
    extends EventRequest

Description of a JSDI request for a suspend operation.

Since:
  1.0
See Also:
  `EventRequest`, `ThreadReference`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`ThreadReference` `thread()` The underlying `ThreadReference` this `StepRequest` is for.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.request.EventRequest

`isEnabled, setEnabled`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### thread

    ThreadReference thread()

The underlying `ThreadReference` this `StepRequest` is for.
This method cannot return `null`

Returns:
  the underlying `ThreadReference` never `null`